org.apache.tools.ant.taskdefs

## Class Javadoc.DocletInfo

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.Javadoc.ExtensionInfo
    - - org.apache.tools.ant.taskdefs.Javadoc.DocletInfo

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  Javadoc

    public class Javadoc.DocletInfo
    extends Javadoc.ExtensionInfo

This class stores info about doclets.

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Javadoc.DocletInfo()`

### Method Summary

Methods
`Javadoc.DocletParam` `createParam()` Create a doclet parameter to be configured by Ant.
`java.util.Enumeration` `getParams()` Get the doclet's parameters.

### Methods inherited from class org.apache.tools.ant.taskdefs.Javadoc.ExtensionInfo

`createPath, getName, getPath, setName, setPath, setPathRef`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Javadoc.DocletInfo

    public Javadoc.DocletInfo()

### Method Detail

#### createParam

    public Javadoc.DocletParam createParam()

Create a doclet parameter to be configured by Ant.

Returns:
  a new DocletParam instance to be configured.

#### getParams

    public java.util.Enumeration getParams()

Get the doclet's parameters.

Returns:
  an Enumeration of DocletParam instances.